Subject: bug#7822: 24.0.50; `fit-window-to-buffer': take display artefacts into account

From: Lennart Borgman <[email-masked]>
Date: Tue, 11 Jan 2011 05:40:06 +0100

On Tue, Jan 11, 2011 at 1:21 AM, Drew Adams <[email-masked]> wrote:
> Enhancement request.
>
> See emacs-devel thread "`fit-window-to-buffer-as-displayed'?",
> 2011-01-10:
> http://lists.gnu.org/archive/html/emacs-devel/2011-01/msg00323.html
>
> `fit-window-to-buffer' does not take any display artefacts into account,
> except for visual (screen) lines.  The enhancement would be to have it
> do so.
>
> How much it tries to do so should be under programmer control, so that,
> e.g., one could tell it (e.g. via a new optional parameter) not to take
> any display stuff into account (i.e., to treat the buffer content as
> just plain text with a fixed-width font of the current char size).
>
> See the emacs-devel thread for more info about this.

I think this would be a bit easier if adjust_window_trailing_edge gave
different error messages for different problems, i.e. "too small",
"too big" etc.